--- old/usr/src/man/man7i/mixer.7i	Wed Sep 25 13:05:50 2019
+++ new/usr/src/man/man7i/mixer.7i	Wed Sep 25 13:05:50 2019
@@ -531,169 +630,138 @@
    short strindex[255];
    char strings[3000];
 } oss_mixer_enuminfo;
-.fi
-.in -2
-.sp
-
-On entry, the \fBdev\fR field should be initialized to the value \fB-1\fR, and
-the \fBctrl\fR field should be initialized with the number of the extension
-being accessed. Between 0, inclusive, and the value returned by
-\fBSNDCTL_MIX_NREXT\fR, exclusive.
-.sp
-On return the \fBnvalues\fR field contains the number of values, and
-\fBstrindex\fR contains an array of indices into the strings member, each index
-pointing to an \fBASCIIZ\fR describing the enumeration value.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBSNDCTL_MIX_READ\fR\fR
-.ad
-.br
-.na
-\fB\fBSNDCTL_MIX_WRITE\fR\fR
-.ad
-.RS 23n
-The argument is a pointer to an \fBoss_mixer_value\fR structure, defined as
-follows:
-.sp
-.in +2
-.nf
+.Ed
+.Pp
+On entry, the
+.Fa dev
+field should be initialized to the value
+.Sy -1 ,
+and
+the
+.Fa ctrl
+field should be initialized with the number of the extension being accessed.
+Between 0, inclusive, and the value returned by
+.Dv SNDCTL_MIX_NREXT ,
+exclusive.
+.Pp
+On return the
+.Fa nvalues
+field contains the number of values, and
+.Fa strindex
+contains an array of indices into the strings member, each index
+pointing to an
+.Sy ASCIIZ
+describing the enumeration value.
+.Pp
+.It Dv SNDCTL_MIX_READ
+.It Dv SNDCTL_MIX_WRITE
+The argument is a pointer to an
+.Vt oss_mixer_value
+structure, defined as follows:
+.Bd -literal -offset 2n
 typedef struct oss_mixer_value {
    int dev;
    int ctrl;
    int value;
-   int flags;  /* Reserved for future use.
-                  Initialize to 0 */
-   int timestamp;  /* Must be set to
-                      oss_mixext.timestamp */
-   int filler[8];  /* Reserved for future use.
-                      Initialize to 0 */
-} oss_mixer_value;
-.fi
-.in -2
-.sp
 
-On entry, the \fBdev\fR field should be initialized to the value \fB-1\fR, and
-the \fBctrl\fR field should be initialized with the number of the extension
-being accessed. Between 0, inclusive, and the value returned by
-\fBSNDCTL_MIX_NREXT\fR, exclusive. Additionally, the timestamp member must be
-initialized to the same value as was supplied in the \fBoss_mixext\fR structure
-used with \fBSNDCTL_MIX_EXTINFO\fR.
-.sp
-For \fBSNDCTL_MIX_WRITE\fR, the application should supply the new value for the
-extension. For \fBSNDCTL_MIX_READ\fR, the mixer returns the extensions current
-value in value.
-.RE
+   /* Reserved for future use.  Initialize to 0 */
+   int flags;
 
-.SS "Compatibility IOCTLs"
-.sp
-.LP
-The following ioctls are for compatibility use only:
-.sp
-.in +2
-.nf
-SOUND_MIXER_READ_VOLUME
-SOUND_MIXER_READ_PCM
-SOUND_MIXER_READ_OGAIN
-SOUND_MIXER_READ_RECGAIN
-SOUND_MIXER_READ_RECLEV
-SOUND_MIXER_READ_IGAIN
-SOUND_MIXER_READ_RECSRC
-SOUND_MIXER_READ_RECMASK
-SOUND_MIXER_READ_DEVMASK
-SOUND_MIXER_READ_STEREODEVS
-SOUND_MIXER_WRITE_VOLUME
-SOUND_MIXER_WRITE_PCM
-SOUND_MIXER_WRITE_OGAIN
-SOUND_MIXER_WRITE_RECGAIN
-SOUND_MIXER_WRITE_RECLEV
-SOUND_MIXER_WRITE_IGAIN
-SOUND_MIXER_WRITE_RECSRC
-SOUND_MIXER_WRITE_RECMASK
-SOUND_MIXER_INFO
-SNDCTL_AUDIOINFO_EX
-SNDCTL_ENGINEINFO
-.fi
-.in -2
-.sp
+   /* Must be set to oss_mixext.timestamp */
+   int timestamp;
 
-.sp
-.LP
+   /* Reserved for future use.  Initialize to 0 */
+   int filler[8];
+} oss_mixer_value;
+.Pp
+.Ed
+On entry, the
+.Fa dev
+field should be initialized to the value
+.Sy -1 ,
+and the
+.Fa ctrl
+field should be initialized with the number of the extension
+being accessed.
+Between 0, inclusive, and the value returned by
+.Dv SNDCTL_MIX_NREXT ,
+exclusive.
+Additionally, the timestamp member must be
+initialized to the same value as was supplied in the
+.Vt oss_mixext
+structure
+used with
+.Dv SNDCTL_MIX_EXTINFO .
+.Pp
+For
+.Dv SNDCTL_MIX_WRITE ,
+the application should supply the new value for the extension.
+For
+.Dv SNDCTL_MIX_READ ,
+the mixer returns the extensions current value in value.
+.El
+.Ss "Compatibility IOCTLs"
+The following ioctls are for compatibility use only:
+.Pp
+.Bl -tag -offset 2n -width SNDCTL_MIX_ENUMINFO -compact
+.It Dv SOUND_MIXER_READ_VOLUME
+.It Dv SOUND_MIXER_READ_PCM
+.It Dv SOUND_MIXER_READ_OGAIN
+.It Dv SOUND_MIXER_READ_RECGAIN
+.It Dv SOUND_MIXER_READ_RECLEV
+.It Dv SOUND_MIXER_READ_IGAIN
+.It Dv SOUND_MIXER_READ_RECSRC
+.It Dv SOUND_MIXER_READ_RECMASK
+.It Dv SOUND_MIXER_READ_DEVMASK
+.It Dv SOUND_MIXER_READ_STEREODEVS
+.It Dv SOUND_MIXER_WRITE_VOLUME
+.It Dv SOUND_MIXER_WRITE_PCM
+.It Dv SOUND_MIXER_WRITE_OGAIN
+.It Dv SOUND_MIXER_WRITE_RECGAIN
+.It Dv SOUND_MIXER_WRITE_RECLEV
+.It Dv SOUND_MIXER_WRITE_IGAIN
+.It Dv SOUND_MIXER_WRITE_RECSRC
+.It Dv SOUND_MIXER_WRITE_RECMASK
+.It Dv SOUND_MIXER_INFO
+.It Dv SNDCTL_AUDIOINFO_EX
+.It Dv SNDCTL_ENGINEINFO
+.El
+.Pp
 These ioctls can affect the software volume levels associated with the calling
-process. They have no effect on the physical hardware levels or settings. They
-should not be used in new applications.
-.SH ERRORS
-.sp
-.LP
-An \fBioctl()\fR fails if:
-.sp
-.ne 2
-.na
-\fB\fBEINVAL\fR\fR
-.ad
-.RS 10n
+process.
+They have no effect on the physical hardware levels or settings.
+They should not be used in new applications.
+.Sh FILES
+.Bl -tag -width /dev/sndstat
+.It Pa /dev/mixer
+Symbolic link to the pseudo mixer device for the system
+.It Pa /dev/sndstat
+Sound status device
+.El
+.Sh ERRORS
+An
+.Xr ioctl 2
+fails if:
+.Bl -tag -width EINVAL
+.It Er EINVAL
 The parameter changes requested in the ioctl are invalid or are not supported
 by the device.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBENXIO\fR\fR
-.ad
-.RS 10n
+.It Er ENXIO
 The device or extension referenced does not exist.
-.RE
-
-.SH FILES
-.sp
-.ne 2
-.na
-\fB\fB/dev/mixer\fR\fR
-.ad
-.RS 16n
-Symbolic link to the pseudo mixer device for the system
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fB/dev/sndstat\fR\fR
-.ad
-.RS 16n
-Sound status device
-.RE
-
-.SH ATTRIBUTES
-.sp
-.LP
-See \fBattributes\fR(5) for a description of the following attributes:
-.sp
-
-.sp
-.TS
-box;
-c | c
-l | l .
-ATTRIBUTE TYPE	ATTRIBUTE VALUE
-_
-Architecture	SPARC, x86
-_
-Stability Level	See below.
-.TE
-
-.sp
-.LP
-The information and mixer extension IOCTLs are Uncommitted. The Compatibility
-IOCTLs are Obsolete Uncommitted. The extension names are Uncommitted.
-.SH SEE ALSO
-.sp
-.LP
-\fBclose\fR(2), \fBioctl\fR(2), \fBopen\fR(2), , \fBread\fR(2),
-\fBattributes\fR(5), \fBdsp\fR(7I)
-.SH BUGS
-.sp
-.LP
+.El
+.Sh ARCHITECTURE
+SPARC
+x86
+.Sh INTERFACE STABILITY
+The information and mixer extension IOCTLs are Uncommitted.
+The Compatibility IOCTLs are Obsolete Uncommitted.
+The extension names are Uncommitted.
+.Sh SEE ALSO
+.Xr close 2 ,
+.Xr ioctl 2 ,
+.Xr open 2 ,
+.Xr read 2 ,
+.Xr attributes 5 ,
+.Xr dsp 7I
+.Sh BUGS
 The names of mixer extensions are not guaranteed to be predictable.
